Bash - Linux på Windows & FDroid

Trädvy Permalänk
Medlem
Registrerad
Nov 2012

Bash - Linux på Windows & FDroid

Hej!

Installerade nyligen Bash på Windows 10 och avsåg att installera Fdroid enligt följande:

sudo add-apt-repository ppa:guardianproject/ppa
sudo apt-get update
sudo apt-get install fdroidserver

Får tyvärr inte till det. När jag kör sista kommandoraden får jag upp

Reading package lists... Done
Building dependency tree
Reading state information... Done
Package fdroidserver is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package 'fdroidserver' has no installation candidate

Äni clue, någon?

Trädvy Permalänk
Medlem
Plats
Säter
Registrerad
Apr 2005

Prova något av dessa:

sudo apt-get update && && sudo apt-get upgrade -y && sudo apt-get dist-upgrade -y && sudo apt-get install packagename (or) apt-get update && apt-get upgrade -y && apt-get dist-upgrade -y && apt-get install packagename (where packagename refers to the package that failed to install in the first place)

Det ska funka på debian-derivat så du kanske har tur.

Källa: https://www.blackmoreops.com/2014/12/13/fixing-error-package-...

///

Trädvy Permalänk
Medlem
Plats
Uppland
Registrerad
Jul 2003

Fungerar det verkligen under Windows 10? bash för windows e väl inte en hel dist?

Server: HPE Gen8 / Ubuntu 17.04 Plex-server Lagrings-server
Brandvägg: Unifi USG Pro 4
Wifi: Unifi AP x 3

Trädvy Permalänk
Medlem
Plats
Säter
Registrerad
Apr 2005

Ingen aning, men windowsvarianten baseras väl på ubuntu så någon lär ju prova så vi andra får veta.

///

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Mar 2011
Skrivet av M3Johan:

Prova något av dessa:

sudo apt-get update && && sudo apt-get upgrade -y && sudo apt-get dist-upgrade -y && sudo apt-get install packagename (or) apt-get update && apt-get upgrade -y && apt-get dist-upgrade -y && apt-get install packagename (where packagename refers to the package that failed to install in the first place)

Det ska funka på debian-derivat så du kanske har tur.

Källa: https://www.blackmoreops.com/2014/12/13/fixing-error-package-...

Dom där kommandona är för om det är en ren odlad linux maskin. Tror inte att köra upgrade eller dist-upgrade kommer hjälpa TS alls.

Enligt deras wiki är det såhär man ska göra

sudo add-apt-repository ppa:guardianproject/fdroidserver sudo apt-get update sudo apt-get install fdroidserver

Trädvy Permalänk
Medlem
Registrerad
Nov 2012

Hej alla!

Jo, M3Johans svar fick det att röra på sig faktiskt. Nä är jag sen till slut körde

sudo apt-get install fdroidserver

... så får jag fram detta:

Reading package lists... Done Building dependency tree Reading state information... Done fdroidserver is already the newest version. The following package was automatically installed and is no longer required: os-prober Use 'apt-get autoremove' to remove it. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Detta tolkar jag som att installationen gick igenom.
Det var första kommandoraden jag körde. Vad gjorde den? Och varför gick det nu när det inte gick innan?